package com.liquidnet.service.account.funding.mapper;

import com.liquidnet.service.account.funding.entity.FinAccount;
import com.liquidnet.service.account.funding.entity.FinAccountExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FinAccountMapper {
    int countByExample(FinAccountExample example);

    int insert(FinAccount record);

    int insertSelective(FinAccount record);

    List<FinAccount> selectByExample(FinAccountExample example);

    FinAccount selectByPrimaryKey(String accNo);

    int updateByExampleSelective(@Param("record") FinAccount record, @Param("example") FinAccountExample example);

    int updateByExample(@Param("record") FinAccount record, @Param("example") FinAccountExample example);

    int updateByPrimaryKeySelective(FinAccount record);

    int updateByPrimaryKey(FinAccount record);


    Long generateSeqNo(String sequenceName);

    int insertBatch(@Param("records") List<FinAccount> records);


    List<FinAccount> selectByCombineds(@Param("records") List<FinAccount> records);
}